@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

app {
	position: relative;
	display: flex;
	flex-direction: column;
}
/* background and loading page */
.background-container {
	left: calc(-50vw + 50%);
	position: fixed;
	right: calc(-50vw + 50%);
	top: 0;
	bottom: 0;
	z-index: -1;
}

.background {
	background: var(--mdc-theme-background);
	/*background-image:url("../images/OnlineTestingLogoNew.png");*/
	/*background-image: linear-gradient(#04519b, #044687 60%, #033769);*/
	background-size: contain;
	height: 100%;
	bottom: 0;
	left: 0;
	position: fixed;
	right: 0;
	top: 0;
	background-position: bottom center;
}

.loading-container {
	position: relative;
	text-align: center;
	background-color: #fff;
	margin: 10% auto 0 auto;
	padding: 20px;
}

.questionnaire-panel-header {
	background-color: var(--mdc-theme-primary);
	color: #fff;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
}

.questionnaire-panel-row {
}

.questionnaire-section {
	display:grid;

}

.question-container {
	width: 100%;
	margin-right: auto;
	margin-left: auto;
}

/* app page */
.apppage-body {
	box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19) !important;
	position: relative;
}


.apppage-container {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	/*align-content: center;*/
	/*margin: 5% auto 0;*/
}

.apppage-body {
	box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19) !important;
	position: relative;
	flex-direction: column;
	margin: 0 auto;
	flex-basis: 100%;
}

.questionnaire-toolbar-list {
	list-style: none;
	margin: 0 0;
	border-radius: 3px;
	display: flex;
	-webkit-flex-flow: row nowrap;
	justify-content: flex-end;
	width: 100%;
	align-items: center;
	margin-block-start: 0;
	margin-block-end: 0;
}


.question-card {
	align-items: stretch;
	flex-direction: column;
}

.questionnaire-response-list {
}

	.questionnaire-response-list .mdc-list-item {
		width: fit-content;
		height: fit-content;
		border-radius: 26px/50%;
	}

	.questionnaire-response-list .mdc-list-item--selected {
		color: var(--mdc-theme-background);
		background-color: var(--mdc-theme-surface);
	}

	.questionnaire-response-list .mdc-list-item--activitvate {
		border-radius: 25px/50%;
		background-color: var(--mdc-theme-surface);
	}



html, body {
	font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

pre {
	word-wrap: break-word;
	white-space: pre-wrap;
}

a, .btn-link {
	color: #0366d6;
}

.btn-primary {
	color: #fff;
	background-color: #1b6ec2;
	border-color: #1861ac;
}

app {
	position: relative;
	display: flex;
	flex-direction: column;
}

.top-row {
	height: 3.5rem;
	display: flex;
	align-items: center;
}

.main {
	flex: 1;
}

	.main .top-row {
		background-color: #f7f7f7;
		border-bottom: 1px solid #d6d5d5;
		justify-content: flex-end;
	}

		.main .top-row > a {
			margin-left: 1.5rem;
		}

.sidebar {
	background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

	.sidebar .top-row {
		background-color: rgba(0,0,0,0.4);
	}

	.sidebar .navbar-brand {
		font-size: 1.1rem;
	}

	.sidebar .oi {
		width: 2rem;
		font-size: 1.1rem;
		vertical-align: text-top;
		top: -2px;
	}

.nav-item {
	font-size: 0.9rem;
	padding-bottom: 0.5rem;
}

	.nav-item:first-of-type {
		padding-top: 1rem;
	}

	.nav-item:last-of-type {
		padding-bottom: 1rem;
	}

	.nav-item a {
		color: #d7d7d7;
		border-radius: 4px;
		height: 3rem;
		display: flex;
		align-items: center;
		line-height: 3rem;
	}

		.nav-item a.active {
			background-color: rgba(255,255,255,0.25);
			color: white;
		}

		.nav-item a:hover {
			background-color: rgba(255,255,255,0.1);
			color: white;
		}

.content {
	padding-top: 1.1rem;
}

.navbar-toggler {
	background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.validation-message {
	color: red;
}

@media (max-width: 767.98px) {
	.main .top-row {
		display: none;
	}

	.apppage-container {
		padding-right: 0;
		padding-left: 0;
	}

	.mdc-card {
		border-radius: 0 0;
	}
}

@media (min-width: 768px) {
	app {
		flex-direction: column;
	}

	.sidebar {
		width: 250px;
		height: 100vh;
		position: sticky;
		top: 0;
	}

	.main .top-row {
		position: sticky;
		top: 0;
	}

	.main > div {
		padding-left: 2rem !important;
		padding-right: 1.5rem !important;
	}

	.navbar-toggler {
		display: none;
	}

	.sidebar .collapse {
		/* Never collapse the sidebar for wide screens */
		display: block;
	}

	.apppage-container {
		margin: 5% auto 0;
	}

	.question-container {
		padding-right: 15px;
		padding-left: 15px;
	}
}

@-webkit-keyframes fadeOutLeft {
	from {
		visibility: visible;
		opacity: 1;
	}

	to {
		visibility: hidden;
		opacity: 0;
		-webkit-transform: translate3d(-100%, 0, 0);
		transform: translate3d(-100%, 0, 0);
	}
}

@keyframes fadeOutLeft {
	from {
		visibility: visible;
		opacity: 1;
	}

	to {
		visibility: hidden;
		opacity: 0;
		-webkit-transform: translate3d(-100%, 0, 0);
		transform: translate3d(-100%, 0, 0);
	}
}

.fadeOutLeft {
	-webkit-animation-name: fadeOutLeft;
	animation-name: fadeOutLeft;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}
